RPMKEYS(8)

BEZEICHNUNG

rpmkeys - RPM-Schlüsselbund

ÜBERSICHT

rpmkeys {-K|--checksig} [Optionen] PAKETDATEI …

rpmkeys {-d|--delete|-e|--erase} [Optionen] FINGERABDRUCK …

rpmkeys {-x|--export} [Optionen] [FINGERABDRUCK …]

rpmkeys {-i|--import} [Optionen] Ö_SCHLÜSSEL …

rpmkeys {-l|--list} [Optionen] [FINGERABDRUCK …]

rpmkeys --rebuild [Optionen] [Neubauoptionen]

BESCHREIBUNG

rpmkeys wird zur Bearbeitung des rpm(8)-Schlüsselbundes und zur Überprüfung der digitalen Signaturen von Paketen mit den enthaltenen Schlüsseln verwandt.

Siehe AKTIONEN für alle enthaltenen Aktionen.

AKTIONEN

-K, --checksig
    überprüft den in PAKETDATEI enthaltenen Hash und dessen Signaturen, um die Integrität und Herkunft des Pakets sicherzustellen.

-d, --delete, -e, --erase
    löscht den oder die durch FINGERABRUCK gekennzeichneten Schlüssel. Die Optionen --delete und -d sind als veraltet anzusehen.

-x, --export
    gibt den durch FINGERABRUCK gekennzeichneten Schlüssel mittels ASCII-geschützter Kodierung aus. Falls FINGERABRUCK nicht angegeben ist, werden alle Schlüssel ausgegeben.

--import
    importiert ASCII-geschützte öffentliche Schlüssel. Ohne die entsprechenden öffentlichen Schlüssel (Zertifikate) können digitale Signaturen nicht überprüft werden.

-l, --list
    listet den oder die derzeit importierten öffentlichen Schlüssel (Zertifikate) nach ihrem Fingerabdruck und ihrer Benutzerkennung auf. Falls keine Fingerabdrücke angegeben sind, werden alle Schlüssel ausgegeben.

--rebuild
    Erstellt den Speicher der öffentlichen Schlüssel neu. Aktualisiert auf das neuste Format und verwirft unleserliche Schlüssel.

ARGUMENTE

FINGERABRUCK
    Der für alle Aktionen auf den Schlüsseln verwandte Anknüpfungspunkt.
PAKETDATEI
    Eine rpm(8)-Paketdatei oder -Manifest.
Ö_SCHLÜSSEL
    Ein ASCII-geschützter öffentlicher OpenPGP-Schlüssel (Zertifikat).

OPTIONEN

Siehe rpm-common(8) für die Optionen, die allen rpm(8)-Programmen gemeinsam sind.

NEUBAUOPTIONEN

--from <fs|openpgp|rpmdb>
    Verwendet Schlüssel aus dem angegebenen Backend, um das aktuell konfigurierte Schlüsselspeicher-Backend neuzubauen. Dies kann zur Umwandlung von einem Schlüsselspeicher in einen anderen verwandt werden.

AUSGABE
--checksig
    <_PAKETDATEI_>: <Element> <Element> <OK|NOT OK>

    Mit --verbose:
    <_PAKETDATEI_>:
        <Element>: <OK|NOTFOUND|BAD>
       …

--list
    <Fingerabdruck> <Name> <Benutzerkennung> öffentlicher Schlüssel

KONFIGURATION

Es gibt eine Reihe von Konfigurationsmöglichkeiten, die das Verhalten dieser Überprüfung beeinflussen, siehe rpm-config(5) zu Details:
•   %_keyring
•   %_keyringpath
•   %_pkgverify_flags
•   %_pkgverify_level

EXIT-STATUS
Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

BEISPIELE

rpmkeys --export 771b18d3d7baa28734333c424344591e1964c5fc | sq inspect
    Schlüssel 771b18d3d7baa28734333c424344591e1964c5fc zur Untersuchung mit sequoia-sq exportieren.

rpmkeys --erase 771b18d3d7baa28734333c424344591e1964c5fc
    Schlüssel 771b18d3d7baa28734333c424344591e1964c5fc aus dem Schlüsselbund löschen.

rpmkeys -K hello-2.0-1.x86_64.rpm
    Paketdatei hello-2.0-1.x86_64.rpm überprüfen.

SIEHE AUCH
popt(3), rpm(8), rpm-common(8), rpm-config(5), rpmsign(1)

rpmkeys --help - da rpm(8) benutzerdefinierte Optionen über Popt-Aliase unterstützt, können wir unmöglich garantieren, dass die Beschreibungen in diesem Handbuch exakt dem entsprechen, was verfügbar ist.

http://www.rpm.org/

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Christoph Brinkhaus <c.brinkhaus@t-online.de>, Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.